Create a taxonomy
POST
/api/content/management/taxonomies
const url = 'https://example.com/api/content/management/taxonomies';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Product Categories","description":"example","shortName":"example","properties":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/content/management/taxonomies \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Product Categories", "description": "example", "shortName": "example", "properties": { "additionalProperty": "example" } }'Creates a new taxonomy for categorizing content
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
name
required
Taxonomy name (required)
string
Example
Product Categoriesdescription
Taxonomy description
string
shortName
Short name for tags (auto-generated if not provided)
string
properties
Custom properties
object
key
additional properties
Responses
Section titled “Responses”Taxonomy created successfully
Media typeapplication/json
object
id
required
string
Examplegenerated
{ "id": "example"}Invalid request